/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.pool.thread;

import org.jfox.pool.PoolableObject;
import org.jfox.pool.SimpleObjectFactory;

/**
 * override the SimpleObjectFactory.destroyObject method
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class ThreadObjectFactory extends SimpleObjectFactory {
    public ThreadObjectFactory(Class classType) throws Exception {
        super(classType);
    }

    public void destroyObject(PoolableObject object) throws Exception {
//    System.out.println("destroy Thread");
        object.notifyAll();
        super.destroyObject(object);
    }
}
